;-----------------------------------------------------------------------------------
; BareNumbersOS v.0.1 - GPL3 - Feb 2012
;
;-----------------------------------------------------------------------------------
; PIC
;-----------------------------------------------------------------------------------

LM_Init_pic:

	mov	al,10001b				; begin PIC 1 initialization
	out	20h,al
	mov	al,10001b				; begin PIC 2 initialization
	out	0A0h,al	
	mov	al,20h					; IRQ 0-7: interrupts 20h-27h
	out	21h,al	
	mov	al,28h					; IRQ 8-15: interrupts 28h-2Fh
	out	0A1h,al
	mov	al,100b 				; slave connected to IRQ2
	out	21h,al
	mov	al,2
	out	0A1h,al
	mov	al,1					; Intel environment, manual EOI
	out	21h,al
	out	0A1h,al

	in	al,21h
	mov	al,11111100b				; enable only clock and keyboard IRQ
	out	21h,al
	in	al,0A1h
	mov	al,11111111b
	out	0A1h,al


ret

; ===================================================================================================
; EOF

